dpkg-gencontrol(1)

NAMN
dpkg-gencontrol - skapa Debians kontrollfiler

SYNOPS
dpkg-gencontrol [flagga...]

BESKRIVNING
dpkg-gencontrol läser information från ett uppackat Debiankällkodsträd och genererar en binärpaketsstyrfil (som standard debian/tmp/DEBIAN/control). Relationsfälten kommer att förenklas.

Thus Pre-Depends, Depends, Recommends and Suggests are simplified in this order by removing dependencies which are known to be true according to the stronger dependencies already parsed. It will also remove any self-dependency (in fact it will remove any dependency which evaluates to true given the current version of the package as installed). Logically it keeps the intersection of multiple dependencies on the same package. The order of dependencies is preserved as best as possible: if any dependency must be discarded due to another dependency appearing further in the field, the superseding dependency will take the place of the discarded one.

The other relation fields (Enhances, Conflicts, Breaks, Replaces and Provides) are also simplified individually by computing the union of the various dependencies when a package is listed multiple times in the field.

dpkg-gencontrol lägger dessutom till en post för binärpaketet i debian/files.

FLAGGOR

-vversion
    Sätter versionsnumret på binärpaketet som skall skapas.

-Vnamn=värde
    Ställer in en utdatasubstitueringsvariabel. Se deb-substvars(5) för en beskrivning av utdatasubstituering.

-Tsubstvars-fil
    Läs substitutionsvariabler från substvars-fil; standard är debian/substvars. Flaggan kan användas flera gånger för att läsa substitutionsvariabler från flera filer.

-Dfält=värde
    Ersätt eller lägg till ett fält i den genererade control-filen.

-Ufält
    Ta bort ett fält ur den genererade control-filen.

-ccontrol-fil
    Anger huvudkällkodskontrollfilen som information skall läsas från. Standardvärdet är debian/control.

-ländringsloggfil
    Anger ändringsloggfilen som information skall läsas från. Standardvärdet är debian/changelog.

-ffillistfil
    Läs eller skriv listan över filer som skall sändas in här, istället för att använda debian/file.

-Fändringsloggformat
    Anger format på ändringsloggen. Se dpkg-parsechangelog(1) för information om alternativa format.

-ppaket
    Skapa information för det binära paketet paket. Om källkodens control-fil bara innehåller ett binärpaket behöver inte flaggan anges. I alla andra fall är det nödvändigt att välja vilket binärpakets information som skall skapas.

-nfilnamn
    Anta att filnamnet för paketet skalla vara filnamn istället för det normala paket_version_ark.deb-filnamnet.

-is, -ip, -isp
    These options are ignored for compatibility with older versions of the dpkg build scripts but are now deprecated. Previously they were used to tell dpkg-gencontrol to include the Section and Priority fields in the control file. This is now the default behaviour. If you want to get the old behaviour you can use the -U option to delete the fields from the control file.

-Ppaketbyggkatalog
    Talar om för dpkg-source att paketet byggs i paketbyggkatalog i stället för debian/tmp. Värdet används för att bestämma standardvärdet för substitueringsvariabeln och control-filsfältet Installed-Size (med hjälp av du), samt för att välja standardplacering av utdatafilen.

-O[filename]
    Print the control file to standard output (or filename if specified), rather than to debian/tmp/DEBIAN/control (or package-build-dir/DEBIAN/control if -P was used).

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FILER

debian/control
    Huvudkällkodskontrollinformationsfil, vilken innehåller versionsoberoende information om källkodspaketet och de binärpaket som kan skapas från det.

debian/files
    Listan över genererade filer som ingår i insändningen som skapas. dpkg-gencontrol lägger till de förutsatta filnamnen på binärpaketen vars control-filer det genererar här.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.